/* example of use

  // position of each element is defined relative to parent container (from 0 0 to 100% 100%)
  $someElements: (
    (width: 50%, height: 3rem, position: 0 0),
    (width: 4rem, height: 4rem, position: 0 12rem),
    (width: calc(100% - 6rem), height: 4rem, position: 100% 12rem)
  );

  .container {
    @include skeletonPlaceholder.placeholder($someElements);
  }
*/
@keyframes skeleton-opacity {
  to {
    opacity: 0.5;
  }
}
.c-calculator-details__container {
  display: grid;
  grid-row-gap: 2rem;
  row-gap: 2rem;
}
[dir] .c-calculator-details__container {
  margin-bottom: 2rem;
}
@media (min-width: 1280px) {
  .c-calculator-details__container {
    grid-template-columns: 1fr 39rem;
    column-gap: 5rem;
  }
}

.c-calculator-details__right-menu-container {
  box-sizing: border-box;
}

[dir] .c-calculator-details__right-menu-container {
  border: 0.1rem solid #B5B5B5;
  border-radius: 0.5rem;
  padding: 2rem;
}

.c-calculator-details__content-container {
  display: grid;
  box-sizing: border-box;
  line-height: 1.9em;
}

[dir] .c-calculator-details__content-container {
  border: 0.1rem solid #B5B5B5;
  border-radius: 0.5rem;
  padding: 2.5rem 7.5rem;
}
@media (max-width: 1279.98px) {
  [dir] .c-calculator-details__content-container {
    padding: 1rem;
  }
}

[dir] .c-calculator-details__calculator-container {
  margin: 4rem 0;
}

.c-calculator-details__right-menu-list {
  list-style: none;
}

[dir] .c-calculator-details__right-menu-list {
  margin: 0;
  padding: 0;
}

[dir] .c-calculator-details__right-menu-list-item {
  margin: 0;
  padding: 0;
}

.c-calculator-details__right-menu-item-link {
  display: grid;
  grid-template-columns: 4rem 1fr;
  grid-column-gap: 1.5rem;
  column-gap: 1.5rem;
  align-items: center;
  -webkit-text-decoration: none;
  text-decoration: none;
  color: #2E353B;
}

[dir] .c-calculator-details__right-menu-item-link {
  background: #F5F5F5;
  border-radius: 0.5rem;
  margin-bottom: 2rem;
}

[dir=ltr] .c-calculator-details__right-menu-item-link {
  padding: 1.5rem 1.5rem 1.5rem 2rem;
}

[dir=rtl] .c-calculator-details__right-menu-item-link {
  padding: 1.5rem 2rem 1.5rem 1.5rem;
}

[dir] .c-calculator-details__right-menu-button-container {
  text-align: center;
}

.c-calculator-details__right-menu-button {
  width: 90%;
  display: inline-block;
  box-sizing: border-box;
}

.c-calculator-details__right-menu-header {
  font-size: 1.6rem;
  color: #2E353B;
  text-transform: inherit;
}

[dir] .c-calculator-details__right-menu-header {
  margin: 0 0 2rem;
}

.c-calculator-details__right-menu-header-link {
  -webkit-text-decoration: none;
  text-decoration: none;
}

.c-calculator-details__right-menu-sub-header {
  color: #2E353B;
  font-size: 1.4rem;
}

[dir] .c-calculator-details__right-menu-sub-header {
  margin: 0;
}

.c-calculator-details__right-menu-img {
  max-width: 4rem;
}

.c-calculator-details__right-menu-content p {
  line-height: 1.6em;
}

[dir] .c-calculator-details__right-menu-content p {
  margin: 0.5rem 0;
}

[dir] .c-calculator-details__main-container .c-news-details__articles-container {
  border-top: none;
}

.c-calculator-details__loader {
  opacity: 1;
  height: 24rem;
}

[dir] .c-calculator-details__loader {
  background-image: linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB);
  background-size: 100% 5rem, 100% 5rem, 100% 5rem, 100% 5rem;
  background-repeat: no-repeat;
}

[dir=ltr] .c-calculator-details__loader {
  background-position: 0 0, 0 6rem, 0 12rem, 0 18rem;
  animation-name: skeleton-opacity;
  animation-duration: 1.2s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
}

[dir=rtl] .c-calculator-details__loader {
  background-position: 100% 0, 100% 6rem, 100% 12rem, 100% 18rem;
  animation-name: skeleton-opacity;
  animation-duration: 1.2s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
}
@media (min-width: 768px) {
  .c-calculator-details__loader {
    opacity: 1;
    height: 11rem;
  }
  [dir] .c-calculator-details__loader {
    background-image: linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB);
    background-size: calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem;
    background-repeat: no-repeat;
  }
  [dir=ltr] .c-calculator-details__loader {
    background-position: 0 0, 100% 0, 0 6rem, 100% 6rem;
    animation-name: skeleton-opacity;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
  [dir=rtl] .c-calculator-details__loader {
    background-position: 100% 0, 0% 0, 100% 6rem, 0% 6rem;
    animation-name: skeleton-opacity;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
}
@media (min-width: 1280px) {
  .c-calculator-details__loader {
    opacity: 1;
    height: 5rem;
  }
  [dir] .c-calculator-details__loader {
    background-image: linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB);
    background-size: calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem;
    background-repeat: no-repeat;
  }
  [dir=ltr] .c-calculator-details__loader {
    background-position: 0 0, 100% 0;
    animation-name: skeleton-opacity;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
  [dir=rtl] .c-calculator-details__loader {
    background-position: 100% 0, 0% 0;
    animation-name: skeleton-opacity;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
}

html {
  scroll-behavior: smooth;
}

.c-calculator__banner {
  position: relative;
}

.c-calculator__banner-image {
  width: 100%;
  object-fit: cover;
  min-height: 25rem;
}

.c-calculator__banner-text {
  position: absolute;
  top: 0;
}

[dir] .c-calculator__banner-text {
  padding: 0;
}

[dir=ltr] .c-calculator__banner-text {
  left: 3rem;
}

[dir=rtl] .c-calculator__banner-text {
  right: 3rem;
}
@media (min-width: 768px) {
  .c-calculator__banner-text {
    top: 10rem;
  }
  [dir=ltr] .c-calculator__banner-text {
    left: 7rem;
  }
  [dir=rtl] .c-calculator__banner-text {
    right: 7rem;
  }
}

.c-calculator__banner-title {
  color: #FFF;
  font-size: 3.5rem;
}

.c-calculator__banner-content {
  color: #FFF;
  font-size: 2rem;
}

.c-calculator__banner-buttons-container {
  display: flex;
  gap: 2rem;
  position: absolute;
  bottom: 0;
}

[dir] .c-calculator__section {
  margin-bottom: 3rem;
}

.c-calculator__section-header {
  color: #2E353B;
}

[dir] .c-calculator__section-header {
  margin: 0;
  background: #F5F5F5;
  border-radius: 0.5rem;
  padding: 2rem 3rem;
}

.c-calculator__list-container {
  display: grid;
  grid-gap: 4rem;
  gap: 4rem;
  list-style: none;
}

[dir] .c-calculator__list-container {
  margin: 0;
  padding: 0;
}
@media (min-width: 768px) {
  .c-calculator__list-container {
    grid-template-columns: 1fr 1fr;
  }
}

.c-calculator__list-link {
  display: grid;
  grid-template-columns: minmax(-webkit-min-content, 10rem) 1fr;
  grid-template-columns: minmax(min-content, 10rem) 1fr;
  grid-gap: 2rem;
  gap: 2rem;
  align-items: start;
  -webkit-text-decoration: none;
  text-decoration: none;
  color: #2E353B;
}

[dir] .c-calculator__list-link {
  cursor: pointer;
}
[dir] .c-calculator__list-link:hover .c-calculator__list-img-container {
  background-color: #183884;
}
.c-calculator__list-link:hover .c-calculator__list-img {
  filter: brightness(0) invert(1);
}
.c-calculator__list-link:hover .c-calculator__list-header {
  color: #183884;
}

.c-calculator__list-img-container {
  width: 9rem;
  height: 9rem;
  box-sizing: border-box;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

[dir] .c-calculator__list-img-container {
  border-radius: 100%;
  background-color: #F5F5F5;
}

.c-calculator__list-img {
  max-width: 4.5rem;
}

.c-calculator__list-header {
  font-size: 1.6rem;
  line-height: 1.9em;
  color: #2E353B;
}

[dir] .c-calculator__list-header {
  margin: 0;
}

[dir] .c-calculator__list-content p {
  margin: 0;
}/* example of use

  // position of each element is defined relative to parent container (from 0 0 to 100% 100%)
  $someElements: (
    (width: 50%, height: 3rem, position: 0 0),
    (width: 4rem, height: 4rem, position: 0 12rem),
    (width: calc(100% - 6rem), height: 4rem, position: 100% 12rem)
  );

  .container {
    @include skeletonPlaceholder.placeholder($someElements);
  }
*/
@keyframes Wz7cd {
  to {
    opacity: 0.5;
  }
}
.zmC0m {
  opacity: 1;
  height: 24rem;
}
[dir] .zmC0m {
  background-image: linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB);
  background-size: 100% 5rem, 100% 5rem, 100% 5rem, 100% 5rem;
  background-repeat: no-repeat;
}
[dir=ltr] .zmC0m {
  background-position: 0 0, 0 6rem, 0 12rem, 0 18rem;
  animation-name: Wz7cd;
  animation-duration: 1.2s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
}
[dir=rtl] .zmC0m {
  background-position: 100% 0, 100% 6rem, 100% 12rem, 100% 18rem;
  animation-name: Wz7cd;
  animation-duration: 1.2s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
  animation-direction: alternate;
}
@media (min-width: 768px) {
  .zmC0m {
    opacity: 1;
    height: 11rem;
  }
  [dir] .zmC0m {
    background-image: linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB);
    background-size: calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem;
    background-repeat: no-repeat;
  }
  [dir=ltr] .zmC0m {
    background-position: 0 0, 100% 0, 0 6rem, 100% 6rem;
    animation-name: Wz7cd;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
  [dir=rtl] .zmC0m {
    background-position: 100% 0, 0% 0, 100% 6rem, 0% 6rem;
    animation-name: Wz7cd;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
}
@media (min-width: 1280px) {
  .zmC0m {
    opacity: 1;
    height: 5rem;
  }
  [dir] .zmC0m {
    background-image: linear-gradient(#EBEBEB, #EBEBEB), linear-gradient(#EBEBEB, #EBEBEB);
    background-size: calc(50% - 1rem) 5rem, calc(50% - 1rem) 5rem;
    background-repeat: no-repeat;
  }
  [dir=ltr] .zmC0m {
    background-position: 0 0, 100% 0;
    animation-name: Wz7cd;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
  [dir=rtl] .zmC0m {
    background-position: 100% 0, 0% 0;
    animation-name: Wz7cd;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
  }
}